package com.chinaitop.depot.intelligent.ventilation.service;

import com.chinaitop.depot.intelligent.ventilation.model.TCtldevinfo;
import com.chinaitop.depot.intelligent.ventilation.model.TVentilation;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public interface AerationRecordService {
    List<TVentilation> getList(String vCfCode, String vDevKindCode,String type);

	void save(TCtldevinfo tCtldevinfo, String aerationTaskControl, Integer orgId);

	void saveFumigation(String task, String aerationTaskControl, Integer orgId);

	TVentilation getByCode(String vcfcode, String vdevname);

	void insertBatch(List<TVentilation> ventilations);
	 
    List<TVentilation> getByCodeAndTimes(List<String> cDcsCodes,List<Date> cTimes);

	void add(String tVentilationJson, Integer orgId);

	int deleteById(String id);

	TVentilation getById(String id);

}
